<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
	
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'gcoin2wcoinp')
	{
		$gcoin = $_POST['gcoin'];
		$pass2 = $_POST['pass2'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($gcoin)) {
			$error = "Chưa chọn số lượng Gcoin muốn đổi";
		}
		elseif (preg_match("/[^0-9$]/", $gcoin))
			{
				$error = "Dữ liệu lỗi - Gcoin chỉ được sử dụng số (1-9).";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu cấp 2";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		elseif ($_SESSION['acc_gcoin'] < $gcoin) {
			$error	= "Gcoin cần đổi lớn hơn Gcoin hiện có";
		}
		else {
			
			$getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'pass2'    =>  $pass2,
                'gcoin'    =>  $gcoin,
                
                'pagesv'	=>	'sv_tiente_gcoin2wcoinp',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					$notice = $info[1];
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] - $gcoin;
				}
				else $error = $reponse;
			}
		}
	}
}


$page_template = "templates/tiente/gcoin2wcoinp.tpl";
?>